Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Methods | Inherited Methods | [Expand All]
public static interface

# Moments.LoadMomentsResult

implements Releasable Result

com.google.android.gms.plus.Moments.LoadMomentsResult

## Class Overview

Information about the set of moments that was loaded.

##### See Also

- `load(GoogleApiClient)`

## Summary

Public Methods
abstract MomentBuffer | getMomentBuffer() Returns the requested moments.
abstract String | getNextPageToken() Returns the continuation token, which is used to page through large result sets.
abstract String | getUpdated() Returns the time at which this collection of moments was last updated.

[Expand] Inherited Methods

From interface com.google.android.gms.common.api.Releasable

abstract void | release()

From interface com.google.android.gms.common.api.Result

abstract Status | getStatus()

## Public Methods

#### public abstract MomentBuffer getMomentBuffer ()

Returns the requested moments. The listener must close this object when finished.

#### public abstract String getNextPageToken ()

Returns the continuation token, which is used to page through large result sets. Provide this value in a subsequent request to return the next page of results.

#### public abstract String getUpdated ()

Returns the time at which this collection of moments was last updated. Formatted as an RFC 3339 timestamp.